# RSSHub Twitter Reader

Este projeto permite a leitura de tweets via RSS utilizando o RSSHub. 

## Funcionalidades
- Captura tweets de um usuário do X (antigo Twitter) via RSSHub.
- Remove caracteres especiais.
- Calcula um hash MD5 do título para evitar tweets duplicados (coluna: md5_hash_tweet)
- Filtra tweets com base em palavras-chave fornecidas.
- Obtém informações do canal, incluindo nome, descrição, link e última atualização.

## Instalação
```sh
pip install rsshub-twitter-reader
```

## Como Usar
```python
from rsshub_twitter_reader import RSSHubTwitterReader

rss_reader = RSSHubTwitterReader('einvestidor')
tweets = rss_reader.fetch_rss()
print(tweets)

# Filtrar tweets com palavras-chave
filtered_tweets = rss_reader.filter(['MRVE3', 'VBBR3'])
print(filtered_tweets)

# Obter informações do canal
channel_info = rss_reader.get_info()
print(channel_info)
```

## Dependências
- requests
- pandas
- lxml

## 📜 License

This project is licensed under the [MIT License](LICENSE).

---

🌟 **Feel free to contribute and improve this project!**

## Final Notes

This project was developed as an educational tool. Feel free to use!

## Thank You for Your Support! 🌟

We hope you find our services helpful and enjoyable! If you feel like showing some extra appreciation, why not buy us a coffee?

🍵 Your support not only energizes our team but also helps us keep improving what we do.

To make a small contribution, you can send us a coffee's worth of USDT or Brazilian Instant Payment (PIX) to our QR code. Every coffee counts and keeps us brewing more ideas!

### Here's how you can send a USDT coffee

![Coffee QR Code](https://raw.githubusercontent.com/dadosnapratica/buy_a_coffe_qrcodes/refs/heads/main/qr_code_usdt_enus_200px.png)

or send USDT to address:

```text
0x3db4d1dd10b60c278f27bd1b2e2bd888d0f99f85
```

1. **Scan the QR Code:** Open your crypto wallet and scan our USDT QR code.
2. **Enter the amount:** The cost of a coffee - usually around $3 to $5.
3. **Send your support:** Hit send and make our day!

### Here's how you can send a PIX coffee

![Coffee QR Code](https://raw.githubusercontent.com/dadosnapratica/buy_a_coffe_qrcodes/refs/heads/main/qr_code_pix_bradesco.png)

1. **Scan the QR Code:** Open your bank account app and scan our PIX QR code.
2. **Enter the amount:** The cost of a coffee - usually around $3 to $5.
3. **Send your support:** Hit send and make our day!

PIX is a digital payment system in Brazil that allows instant payments 24/7 via mobile phones. If you found this project helpful, please consider buying me a coffee.

Thank you once again for your incredible support and for being a part of our community. Your contribution fuels our passion and commitment.

## Author

**Flavio Lopes** Spreading practical data knowledge for decision making.

## Contact

Questions, suggestions, or improvements? Contact me or contribute directly to the repository.

- **GitHub**: [dadosnapratica](https://github.com/orgs/dadosnapratica)
- **LinkedIn Flavio**: [Flavio Lopes](https://www.linkedin.com/in/flavionlopes/)
- **LinkedIn Dados na Pratica**: [Dados na Pratica](https://www.linkedin.com/company/dados-na-pratica)
- **Email**: [flavio.lopes@ideiasfactory.tech](mailto:flavio.lopes@ideiasfactory.tech)
- **Instagram**: [@dadosnapratica](https://www.instagram.com/dadosnapratica/)

